interface IProps {
    form?: JQuery;
    elementText: JQuery;
    elementBigId: JQuery;
    loadUrl: string;
    onGetContent?: (elementId: string) => string;
}
declare class SABigText {
    private props;
    static create(props: IProps): SABigText;
    constructor(props: IProps);
    handleFormSubmit(): Promise<void[]>;
    isNeedProcess(): boolean;
    isNodeBig(element: HTMLElement): boolean;
    getNodeContent(element: HTMLElement): string;
    setNodeContent(element: HTMLElement, text: string): void;
    setNodeDisabled(element: HTMLElement, disabled: boolean): void;
    setBigId(indexTextElement: number, bigId: number): void;
    registerBigId(text: string): Promise<{
        partsCount: number;
        bigId: number;
    }>;
    sendText(text: string, partsCount: number, bigId: number): Promise<void[]>;
}
export default SABigText;
